# Type alias Definition<C, N>

Definition<C, N>: Meta.Graph.Definition<C, N> & Meta.Process.Definition<C, N> & Meta.Pouch.Definition<C, N> & Meta.Id.Definition<C, N>

Main Definition type for whole meta system

Each definition for a given [[CollectionName]] must adhere to the [[Graph.Definition]], [[Pouch.Definition]], and [[Process.Definition]] definition type for that name.

#### Type Parameters

- #### C extends Meta.Collections

- #### N extends Meta.CollectionName<C>

- Defined in packages/db/src/meta/definitions.ts:28

Generated using TypeDoc